# Class Controller

#### Hierarchy

- Controller

- Defined in src/editing/exportfeaturesComponent.js:79

#####
Index

### Properties

element_
featureHelper_
features
formats_
id_
items_
menu_

### Methods

handleDestroy_
handleElementClick_
handleMenuItemClick_

## Properties

### element_

element_: JQuery<HTMLElement>

- Defined in src/editing/exportfeaturesComponent.js:88

### featureHelper_

featureHelper_: FeatureHelper

- Defined in src/editing/exportfeaturesComponent.js:101

### features

features: Collection<Feature<Geometry>>

- Defined in src/editing/exportfeaturesComponent.js:83

### formats_

formats_: string[]

- Defined in src/editing/exportfeaturesComponent.js:146

### id_

id_: string

- Defined in src/editing/exportfeaturesComponent.js:96

### items_

items_: JQuery<HTMLElement>[]

- Defined in src/editing/exportfeaturesComponent.js:119

### menu_

menu_: JQuery<HTMLElement>

- Defined in src/editing/exportfeaturesComponent.js:114
- Defined in src/editing/exportfeaturesComponent.js:129
- Defined in src/editing/exportfeaturesComponent.js:227

## Methods

### handleDestroy_

- handleDestroy_(): void

- Cleanup event listeners and remove the menu from DOM, if any.

  #### Returns void

  - Defined in src/editing/exportfeaturesComponent.js:216

### handleElementClick_

- handleElementClick_(): void

- Called when the element bound to this directive is clicked. Use the feature helper to export the feature(s) depending on the format(s) available(s). If there's only one, the call to the export method is direct, otherwise a drop-down menu is show to let the user choose the format of the export. Finally, if there's only one feature in the collection to export and there's more than one format set, some formats may not support the type of geometry. If that's the case, then disable each format item in the drop-down menu that doesn't support the type of geometry.

  #### Returns void

  - Defined in src/editing/exportfeaturesComponent.js:163

### handleMenuItemClick_

- handleMenuItemClick_(format, event): void

- Called when a menu item is clicked. Export the features to the selected format.

  #### Parameters

  - ##### format: string

    Format.

  - ##### event: Event

    Event.

  #### Returns void

  - Defined in src/editing/exportfeaturesComponent.js:200

Generated using TypeDoc